@import "../global";

@include define-section(server-edit-device) {
    display: grid;
    gap: 1rem 1rem;
    place-items: start;
    place-content: start;
    grid-template-columns: 1fr;
    grid-template-rows: auto;
    padding: 1rem;

    > .info {
        @extend .generic-pop-over;
        background-color: #b8f3cc;
    }

    > .error {
        @extend .generic-pop-over;
        background-color: #f3b8b8;
    }

    .edit-device-form {
        padding: 1rem;
        background-color: #FFFFFF;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto auto;
        border-radius: 0.3rem;
        gap: 2rem;

        > .text-input {
            @extend .generic-labeled-text-input;
        }

        > .select-input {
            @extend .generic-labeled-select;
        }

        > .textarea-input {
            @extend .generic-labeled-textarea;
        }

        > .select-text-input {
            @extend .generic-labeled-select-text-input;
        }

        > .controls {
            > .btn-add {
                @extend .generic-input-button;
            }
        }
    }

    .edit-ports-box {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 3rem auto;
        place-items: stretch;
        place-content: stretch;

        > .title {
            height: 100%;
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
            background-color: #f9fcff;
            color: #35475e;
            font-weight: bold;
            line-height: 3rem;
            padding: 0 1rem;
            font-size: 1rem;
            border-bottom: 0.1rem solid #dddddd;
        }

        > .content {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;

            .ports-table {
                @extend .generic-table;

                th {
                    padding: 0.5rem 1rem;

                    &:first-child {
                        border-top-left-radius: 0;
                    }

                    &:last-child {
                        border-top-right-radius: 0;
                    }
                }
            }
        }
    }

    .edit-slots-box {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 3rem auto;
        place-items: stretch;
        place-content: stretch;

        > .title {
            height: 100%;
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
            background-color: #f9fcff;
            color: #35475e;
            font-weight: bold;
            line-height: 3rem;
            padding: 0 1rem;
            font-size: 1rem;
            border-bottom: 0.1rem solid #dddddd;
        }

        > .content {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;

            .slots-table {
                @extend .generic-table;

                th {
                    padding: 0.5rem 1rem;

                    &:first-child {
                        border-top-left-radius: 0;
                    }

                    &:last-child {
                        border-top-right-radius: 0;
                    }
                }
            }
        }
    }

    .edit-signals-box {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 3rem auto;
        place-items: stretch;
        place-content: stretch;

        > .title {
            height: 100%;
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
            background-color: #f9fcff;
            color: #35475e;
            font-weight: bold;
            line-height: 3rem;
            padding: 0 1rem;
            font-size: 1rem;
            border-bottom: 0.1rem solid #dddddd;
        }

        > .content {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;

            .signals-table {
                @extend .generic-table;

                th {
                    padding: 0.5rem 1rem;

                    &:first-child {
                        border-top-left-radius: 0;
                    }

                    &:last-child {
                        border-top-right-radius: 0;
                    }
                }
            }
        }
    }

    .edit-attributes-box {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: 3rem auto;
        place-items: stretch;
        place-content: stretch;

        > .title {
            height: 100%;
            border-top-left-radius: 0.3rem;
            border-top-right-radius: 0.3rem;
            background-color: #f9fcff;
            color: #35475e;
            font-weight: bold;
            line-height: 3rem;
            padding: 0 1rem;
            font-size: 1rem;
            border-bottom: 0.1rem solid #dddddd;
        }

        > .content {
            border-bottom-left-radius: 0.3rem;
            border-bottom-right-radius: 0.3rem;

            .attributes-table {
                @extend .generic-table;

                th {
                    padding: 0.5rem 1rem;

                    &:first-child {
                        border-top-left-radius: 0;
                    }

                    &:last-child {
                        border-top-right-radius: 0;
                    }
                }
            }
        }
    }
}